/* ---------------------------------------------------- */
/*  Generated by Enterprise Architect Version 13.0 		*/
/*  Created On : 24-Jan-2019 16:35:09 				*/
/*  DBMS       : SQL Server 2012 						*/
/* ---------------------------------------------------- */

/* Drop Foreign Key Constraints */

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[FK_Doplnujici_udaje_Zadatel]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1) 
ALTER TABLE [Doplnujici_udaje] DROP CONSTRAINT [FK_Doplnujici_udaje_Zadatel]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[FK_Poznamka_Zadatel]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1) 
ALTER TABLE [Poznamka] DROP CONSTRAINT [FK_Poznamka_Zadatel]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[FK_ZADATEL_KONTAKTNI_OSOBA_KONTAKTNI_OSOBA]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1) 
ALTER TABLE [ZADATEL_KONTAKTNI_OSOBA] DROP CONSTRAINT [FK_ZADATEL_KONTAKTNI_OSOBA_KONTAKTNI_OSOBA]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[FK_ZADATEL_KONTAKTNI_OSOBA_ZADATEL]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1) 
ALTER TABLE [ZADATEL_KONTAKTNI_OSOBA] DROP CONSTRAINT [FK_ZADATEL_KONTAKTNI_OSOBA_ZADATEL]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[FK_Zdravotni_stav_Zadatel]') AND OBJECTPROPERTY(id, N'IsForeignKey') = 1) 
ALTER TABLE [Zdravotni_stav] DROP CONSTRAINT [FK_Zdravotni_stav_Zadatel]
GO

/* Drop Tables */

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[Doplnujici_udaje]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1) 
DROP TABLE [Doplnujici_udaje]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[Kontaktni_osoba]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1) 
DROP TABLE [Kontaktni_osoba]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[Poznamka]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1) 
DROP TABLE [Poznamka]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[Zadatel]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1) 
DROP TABLE [Zadatel]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[ZADATEL_KONTAKTNI_OSOBA]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1) 
DROP TABLE [ZADATEL_KONTAKTNI_OSOBA]
GO

IF EXISTS (SELECT 1 FROM dbo.sysobjects WHERE id = object_id(N'[Zdravotni_stav]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1) 
DROP TABLE [Zdravotni_stav]
GO

/* Create Tables */

CREATE TABLE [Doplnujici_udaje]
(
	[Absolvovanazamestnani] varchar NULL,
	[Rodinnystav] varchar NULL,
	[Telcislo] varchar NULL,
	[Vek] varchar NULL,
	[Vzdelani] varchar NULL,
	[Doplnujici_udajeID] varchar NOT NULL,
	[ZadatelID] varchar NOT NULL
)
GO

CREATE TABLE [Kontaktni_osoba]
(
	[Jmeno] varchar NULL,
	[Prijmeni] varchar NULL,
	[Telcislo] varchar NULL,
	[Kontaktni_osobaID] varchar NOT NULL
)
GO

CREATE TABLE [Poznamka]
(
	[Poznamka] varchar NULL,
	[Prohlaseni] varchar NULL,
	[PoznamkaID] varchar NOT NULL,
	[ZadatelID] varchar NULL
)
GO

CREATE TABLE [Zadatel]
(
	[Datumnarozeni] varchar NULL,
	[Jmeno] varchar NULL,
	[Mistonarozeni] varchar NULL,
	[Prijmeni] varchar NULL,
	[Rodnecislo] varchar NULL,
	[ZadatelID] varchar NOT NULL
)
GO

CREATE TABLE [ZADATEL_KONTAKTNI_OSOBA]
(
	[Kontaktni_osobaID] varchar NULL,
	[ZadatelID] varchar NULL
)
GO

CREATE TABLE [Zdravotni_stav]
(
	[Jinezdravotnipotize] varchar NULL,
	[Plnesobestacny] varchar NULL,
	[Pohybocepotize] varchar NULL,
	[Vyuzivatsluzebcharity] varchar NULL,
	[Zdravotni_stavID] varchar NOT NULL,
	[ZadatelID] varchar NOT NULL
)
GO

/* Create Primary Keys, Indexes, Uniques, Checks */

ALTER TABLE [Doplnujici_udaje] 
 ADD CONSTRAINT [PK_Doplnujici_udaje]
	PRIMARY KEY CLUSTERED ([Doplnujici_udajeID] ASC)
GO

ALTER TABLE [Kontaktni_osoba] 
 ADD CONSTRAINT [PK_Kontaktni_osoba]
	PRIMARY KEY CLUSTERED ([Kontaktni_osobaID] ASC)
GO

ALTER TABLE [Poznamka] 
 ADD CONSTRAINT [PK_Poznamka]
	PRIMARY KEY CLUSTERED ([PoznamkaID] ASC)
GO

ALTER TABLE [Zadatel] 
 ADD CONSTRAINT [PK_Zadatel]
	PRIMARY KEY CLUSTERED ([ZadatelID] ASC)
GO

ALTER TABLE [Zdravotni_stav] 
 ADD CONSTRAINT [PK_Zdravotni_stav]
	PRIMARY KEY CLUSTERED ([Zdravotni_stavID] ASC)
GO

/* Create Foreign Key Constraints */

ALTER TABLE [Doplnujici_udaje] ADD CONSTRAINT [FK_Doplnujici_udaje_Zadatel]
	FOREIGN KEY ([ZadatelID]) REFERENCES [Zadatel] ([ZadatelID]) ON DELETE No Action ON UPDATE No Action
GO

ALTER TABLE [Poznamka] ADD CONSTRAINT [FK_Poznamka_Zadatel]
	FOREIGN KEY ([ZadatelID]) REFERENCES [Zadatel] ([ZadatelID]) ON DELETE No Action ON UPDATE No Action
GO

ALTER TABLE [ZADATEL_KONTAKTNI_OSOBA] ADD CONSTRAINT [FK_ZADATEL_KONTAKTNI_OSOBA_KONTAKTNI_OSOBA]
	FOREIGN KEY ([Kontaktni_osobaID]) REFERENCES [Kontaktni_osoba] ([Kontaktni_osobaID]) ON DELETE No Action ON UPDATE No Action
GO

ALTER TABLE [ZADATEL_KONTAKTNI_OSOBA] ADD CONSTRAINT [FK_ZADATEL_KONTAKTNI_OSOBA_ZADATEL]
	FOREIGN KEY ([ZadatelID]) REFERENCES [Zadatel] ([ZadatelID]) ON DELETE No Action ON UPDATE No Action
GO

ALTER TABLE [Zdravotni_stav] ADD CONSTRAINT [FK_Zdravotni_stav_Zadatel]
	FOREIGN KEY ([ZadatelID]) REFERENCES [Zadatel] ([ZadatelID]) ON DELETE No Action ON UPDATE No Action
GO
